package com.fp.frontend.utility;

import org.apache.commons.collections.Transformer;

import com.fp.common.helper.BeanManager;

/**
 * Este transformador actuara como un accesor sobre los campos a los que tiene
 * se indique en su constructor Servira para saber cuales son los criterios de
 * busqueda en las colecciones
 *
 * @author dcruz
 */
public class CommonTransformer implements Transformer {

    private String fieldName;

    public CommonTransformer(String fieldName) {
        this.fieldName = fieldName;
    }

    public Object transform(Object input) {
        Object value = null;
        try {
            value = BeanManager.getBeanAttributeValue(input, fieldName);
        } catch (Exception e) {
            value = null;
        }
        return value;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

}
